<template>
<div> 
    <div style="overflow: hidden;">
        <el-card style="margin: 10px;" v-model="searchData" >
        <div slot="header" class="clearfix">
            <span>
                <i slot="prefix" class="el-icon-s-home" />               
                实验管理/原材料检验单</span>
        </div>
        <div class="card-content">
            <el-row :gutter="80">    
                <el-form ref="form" :model="searchData" label-width="80px">
                    <el-col :span="6">
                        <el-form-item label="来料日期:" >
                            <el-input :disabled="true" v-model="searchData.formTime"></el-input>
                            
                        </el-form-item>
                    </el-col>
                    <el-col :span="6">
                        <el-form-item label="供应商名称:" >
                            <el-input :disabled="true" v-model="searchData.supplier"></el-input>
                        </el-form-item>
                    </el-col>                    
                    <el-col :span="6">
                        <el-form-item label="产品编号:">
                            <el-input :disabled="true" v-model="searchData.code"></el-input>
                        </el-form-item> 
                    </el-col>
                </el-form>
            </el-row>
            <el-row :gutter="80">    
                <el-form ref="form" :model="searchData" label-width="80px">
                    <el-col :span="6">
                        <el-form-item label="原材料名称:">
                            <el-input :disabled="true" v-model="searchData.name"></el-input>
                        </el-form-item>
                    </el-col>
                    <el-col :span="6">

                        <el-form-item label="规格型号:">
                            <el-input :disabled="true" v-model="searchData.specifications"></el-input>                         
                        </el-form-item>
                    </el-col>
                    
                    <el-col :span="6">

                        <el-form-item label="单位:">
                            <el-input :disabled="true" v-model="searchData.unit"></el-input>                         
                        </el-form-item> 
                    </el-col>
                </el-form>
            </el-row>
            <el-row :gutter="80">    
                <el-form ref="form" :model="searchData" label-width="80px">
                    <el-col :span="6">
                        <el-form-item label="数量:">
                            <el-input :disabled="true" v-model="searchData.num"></el-input>
                        </el-form-item>
                    </el-col>
                    <el-col :span="6">

                        <el-form-item label="登记日期:">
                            <el-input :disabled="true" v-model="searchData.endTime"></el-input>
                        </el-form-item>
                    </el-col>
                    
                    <el-col :span="6">

                        <el-form-item label="登记人:">
                            <el-input :disabled="true" v-model="searchData.userName"></el-input>                      
                        </el-form-item> 
                    </el-col>
                </el-form>
            </el-row>
        </div>            
        </el-card> 
    
    
                <el-row style="margin: 5px;">
                    <el-col :span="12" style="line-height: 32px;">检验项目</el-col>
                    <el-col :span="12" style="text-align: right;">
                        <!-- <el-button ic size="medium " @click="()=>{}">保存</el-button> -->
                        <el-button icon="el-icon-refresh-lef" size="medium " style="background-color: cornflowerblue;" @click="goback">返回</el-button>
                    </el-col>                   
                </el-row>
        <div>        
            <el-card style="margin: 10px;">
                <el-table
                    :data="insProducts"
                    border      
                    style="width: 100%">
                    <el-table-column
                    label="序号"
                    type="index"
                    width="50">
                    </el-table-column>
                    <el-table-column
                        prop="name"
                        label="项目"
                        width="180">
                    </el-table-column>
                    <el-table-column
                        prop="unit"
                        label="单位"
                        width="180">
                    </el-table-column>
                    <el-table-column
                        prop="internal"
                        label="标准值">
                    </el-table-column>
                    <el-table-column
                        prop="required"
                        label="内控值">
                    </el-table-column>
                    <el-table-column prop="userName" label="经验人">
                        <template slot-scope="scope">
                            <el-select v-model="value" size="small" slot="append" style="width: 220px;">
                            <el-option v-for="item in ZERENren" :key="item.id" :label="item.name"  :value="item.name"></el-option>
                            </el-select>
                        </template>
                    </el-table-column>
                    <el-table-column
                        prop="inspectionMaterialId"
                        label="实验设备">
                        <template>
                            <!-- <el-select v-model="scope.row.checker" size="small" slot="append" style="width: 260px;">
                            <el-option v-for="item in checkeroptions" :key="item.value" :label="item.label">{{ item.label }}</el-option>
                            </el-select> -->
                        </template>
                    </el-table-column>
                </el-table>

            </el-card> 
        </div>           
    </div>
</div>       
</template>
<script>
  import { selectInspectsListById,selectUser} from '@/api/experiment/planAssignments'
export default {
    data(){
        return {
            searchData:{ },
            insProducts:[],
            uu:'',
            value:''
        }
    },
    created(){
        this.uu = this.$route.query.id;
        this.selectInspectsListById()
        this.selectUser()
    },
    methods: {
        //返回
      async goback(){       
        this.$router.push({name:'inspectionApplication'})
      },
      //检验单责任人
      async selectUser(){
        const res = await selectUser()
        this.ZERENren = res.data
        // console.log(this.ZERENren);
      },
      //检验单表
      async selectInspectsListById() {
        const res = await selectInspectsListById({id:this.uu})
        this.searchData = res.data
        this.insProducts = res.data.insProducts
      }
}
}
</script>
<style lang="scss" scoped>

</style>
     